V1 Update Max Duration Settings#
V1 Update Max Duration Settings. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
max_call_duration_msintegerbody
One of: 60000. min 60000. send only when changing this field
maxDurationSecondsintegerbody
One of: 60. min 60. max 7200. send only when changing this field
max_call_duration_secnumberbody
One of: 60. min 60. send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/max-duration/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"max_call_duration_ms":1,"maxDurationSeconds":1,"max_call_duration_sec":"60"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records